Bug 136318 - CAN-2004-0968 temporary file vulnerabilities in catchsegv script
Summary: CAN-2004-0968 temporary file vulnerabilities in catchsegv script
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: glibc   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,public=20040930,reported=2...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-19 10:23 UTC by Mark J. Cox
Modified: 2019-04-10 12:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 18:14:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (5.83 KB, patch)
2004-10-19 10:24 UTC, Mark J. Cox
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:586 normal SHIPPED_LIVE Low: glibc security update 2004-12-20 05:00:00 UTC
Sourceware 446 None None None 2019-04-10 12:11 UTC

Description Mark J. Cox 2004-10-19 10:23:56 UTC
On September 10th 2004, Trustix shared some temporary file
vulnerabilities with vendor-sec.  After some refinement these were
made public on Sep30.  These are minor issues (impact: LOW) and
therefore should be fixed in future updates, but don't deserve their
own security advisory.

Temporary file vulnerability in catchsegv.  Patch attached.

                Affects: RHEL2.1
                Probably Affects: RHEL3

Comment 1 Mark J. Cox 2004-10-19 10:24:38 UTC
Created attachment 105440 [details]
Proposed patch

Comment 2 Jakub Jelinek 2004-10-19 12:31:56 UTC
glibcbug script is gone from CVS glibc (for 9 months already),
I'll make sure it disappears from RHEL2.1 and RHEL3 too.
For catchsegv a different patch has been committed upstream,
the remaining changes are incorrect.

Comment 3 Jakub Jelinek 2004-10-22 17:16:47 UTC
glibcbug removed and catchsegv fixed in glibc-2.3.2-95.30.

Comment 4 Josh Bressers 2004-11-03 13:17:44 UTC
This issue is going to be RHSA-2004:586

Comment 5 John Flanagan 2004-12-20 18:14:19 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-586.html



Note You need to log in before you can comment on or make changes to this bug.